


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: ListTasksCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: ListTasksCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">ListTasksCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 13)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.Command;
<i>5</i>&nbsp;import com.dema.timeregistration.application.CommandGroup;
<i>6</i>&nbsp;import com.dema.timeregistration.application.Parameter;
<i>7</i>&nbsp;import com.dema.timeregistration.application.ParsedCommand;
<i>8</i>&nbsp;import com.dema.timeregistration.service.ProjectService;
<i>9</i>&nbsp;import com.dema.timeregistration.service.TaskService;
<i>10</i>&nbsp;
<i>11</i>&nbsp;import java.util.Set;
<i>12</i>&nbsp;
<i>13</i>&nbsp;public class ListTasksCommand implements Command {
<i>14</i>&nbsp;    private final TaskService taskService;
<i>15</i>&nbsp;    private final ProjectService projectService;
<i>16</i>&nbsp;
<b class="nc"><i>17</i>&nbsp;    public ListTasksCommand(TaskService taskService, ProjectService projectService) {</b>
<b class="nc"><i>18</i>&nbsp;        this.taskService = taskService;</b>
<b class="nc"><i>19</i>&nbsp;        this.projectService = projectService;</b>
<b class="nc"><i>20</i>&nbsp;    }</b>
<i>21</i>&nbsp;
<i>22</i>&nbsp;    @Override
<i>23</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>24</i>&nbsp;        return &quot;Get a list of current tasks for a given project with parameters:\n-c for the company that owns the&quot; +</b>
<i>25</i>&nbsp;                &quot; project\n-p name of the project\nExample of usage:\nlist-tasks -c \&quot;My Company\&quot; -p \&quot;My Project\&quot;&quot;;
<i>26</i>&nbsp;    }
<i>27</i>&nbsp;
<i>28</i>&nbsp;    @Override
<i>29</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>30</i>&nbsp;        return &quot;list-tasks&quot;;</b>
<i>31</i>&nbsp;    }
<i>32</i>&nbsp;
<i>33</i>&nbsp;    @Override
<i>34</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>35</i>&nbsp;        return Utils.newHashSet(</b>
<i>36</i>&nbsp;                new Parameter(&quot;c&quot;),
<i>37</i>&nbsp;                new Parameter(&quot;p&quot;)
<i>38</i>&nbsp;        );
<i>39</i>&nbsp;    }
<i>40</i>&nbsp;
<i>41</i>&nbsp;    @Override
<i>42</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>43</i>&nbsp;        return CommandGroup.GENERAL;</b>
<i>44</i>&nbsp;    }
<i>45</i>&nbsp;
<i>46</i>&nbsp;    @Override
<i>47</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>48</i>&nbsp;        int projectId = projectService.getProjectId(parsedCommand.get(&quot;c&quot;), parsedCommand.get(&quot;p&quot;));</b>
<b class="nc"><i>49</i>&nbsp;        if(taskService.listTasks(projectId).isEmpty()) {</b>
<b class="nc"><i>50</i>&nbsp;            System.out.println(&quot;Currently no tasks exists for this project&quot;);</b>
<i>51</i>&nbsp;        } else {
<b class="nc"><i>52</i>&nbsp;            System.out.println(taskService.listTasks(projectId));</b>
<i>53</i>&nbsp;        }
<i>54</i>&nbsp;
<b class="nc"><i>55</i>&nbsp;    }</b>
<i>56</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
